diff --git a/spring-boot-project/spring-boot-cli/src/main/java/org/springframework/boot/cli/compiler/ExtendedGroovyClassLoader.java b/spring-boot-project/spring-boot-cli/src/main/java/org/springframework/boot/cli/compiler/ExtendedGroovyClassLoader.java
index b7a00724f6d..8693ed7bdf1 100644
--- a/spring-boot-project/spring-boot-cli/src/main/java/org/springframework/boot/cli/compiler/ExtendedGroovyClassLoader.java
+++ b/spring-boot-project/spring-boot-cli/src/main/java/org/springframework/boot/cli/compiler/ExtendedGroovyClassLoader.java
@@ -1,5 +1,5 @@
 /*
- * Copyright 2012-2017 the original author or authors.
+ * Copyright 2012-2018 the original author or authors.
  *
  * Licensed under the Apache License, Version 2.0 (the "License");
  * you may not use this file except in compliance with the License.
@@ -176,7 +176,7 @@ protected ExtendedClassCollector(InnerLoader loader, CompilationUnit unit,
 		DefaultScopeParentClassLoader(ClassLoader parent) {
 			super(parent);
 			this.groovyOnlyClassLoader = new URLClassLoader(getGroovyJars(parent),
-					parent.getParent());
+					parent.getParent().getParent());
 		}
 
 		private URL[] getGroovyJars(ClassLoader parent) {
diff --git a/spring-boot-project/spring-boot-dependencies/pom.xml b/spring-boot-project/spring-boot-dependencies/pom.xml
index 0ecf15e49b4..5ee34297ed7 100644
--- a/spring-boot-project/spring-boot-dependencies/pom.xml
+++ b/spring-boot-project/spring-boot-dependencies/pom.xml
@@ -53,7 +53,7 @@
 		<freemarker.version>2.3.27-incubating</freemarker.version>
 		<elasticsearch.version>5.6.6</elasticsearch.version>
 		<glassfish-el.version>3.0.0</glassfish-el.version>
-		<groovy.version>2.5.0-beta-2</groovy.version>
+		<groovy.version>2.4.13</groovy.version>
 		<gson.version>2.8.2</gson.version>
 		<h2.version>1.4.196</h2.version>
 		<hamcrest.version>1.3</hamcrest.version>
